Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1066029

Summary: Review Request: csmock - A mock wrapper for Static Analysis tools
Product: [Fedora] Fedora Reporter: Kamil Dudka <kdudka>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan, i, package-review, rc040203
Target Milestone: ---Flags: i: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: csmock-1.0.7-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-25 04:25:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1066026, 1066027, 1066028    
Bug Blocks:    

Description Kamil Dudka 2014-02-17 14:23:16 UTC
Spec URL: http://kdudka.fedorapeople.org/csmock/csmock.spec

SRPM URL: http://kdudka.fedorapeople.org/csmock/csmock-1.0.1-1.el6.src.rpm

Description: This package contains cov-mockbuild and cov-diffbuild tools that allow to scan SRPMs by Static Analysis tools in a fully automated way.

Fedora Account System Username: kdudka

Comment 1 Ralf Corsepius 2014-02-18 06:27:56 UTC
Your spec gzips man-pages and installs them gzipped.

In Fedora, man-pages are supposed to be installed uncompress/ungzipped, because rpm will compress them in the format built-in into rpm.

Comment 2 Dan HorĂ¡k 2014-02-18 07:54:17 UTC
you can modernize your spec, see https://bugzilla.redhat.com/show_bug.cgi?id=1066026#c2

Comment 3 Kamil Dudka 2014-02-19 16:29:45 UTC
I have fixed spec file so that it does not compress man pages.

Spec URL: http://kdudka.fedorapeople.org/csmock/csmock.spec
SRPM URL: http://kdudka.fedorapeople.org/csmock/csmock-1.0.2-1.el6.src.rpm

Comment 4 Christopher Meng 2014-02-21 09:22:48 UTC
Please do the modernization via comment 2.

Comment 5 Kamil Dudka 2014-02-24 14:53:11 UTC
(In reply to Christopher Meng from comment #4)
> Please do the modernization via comment 2.

Done.  Thank you for taking the review!

Spec URL: http://kdudka.fedorapeople.org/csmock/csmock.spec
SRPM URL: http://kdudka.fedorapeople.org/csmock/csmock-1.0.3-1.el6.src.rpm

Comment 6 Christopher Meng 2014-02-25 04:37:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL". Detailed output of licensecheck:

GPL
---
csmock-1.0.3/make-srpm.sh

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Installation errors
-------------------
INFO: mock.py version 1.1.36 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.36
INFO: Mock Version: 1.1.36
Start: lock buildroot
INFO: installing package(s): /home/rpmaker/Desktop/csmock/results/csmock-1.0.3-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-i386/root/', '--releasever', '21', 'install', '/home/rpmaker/Desktop/csmock/results/csmock-1.0.3-1.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: csmock-1.0.3-1.fc21.noarch (/csmock-1.0.3-1.fc21.noarch)
           Requires: cscppc
 You could try using --skip-broken to work around the problem
Error: Package: csmock-1.0.3-1.fc21.noarch (/csmock-1.0.3-1.fc21.noarch)
           Requires: cswrap
Error: Package: csmock-1.0.3-1.fc21.noarch (/csmock-1.0.3-1.fc21.noarch)
           Requires: csdiff
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: csmock-1.0.3-1.fc21.noarch.rpm
          csmock-1.0.3-1.fc21.src.rpm
csmock.noarch: W: spelling-error %description -l en_US cov -> cob, co, cove
csmock.noarch: W: spelling-error %description -l en_US mockbuild -> mock build, mock-build, mockingbird
csmock.noarch: W: spelling-error %description -l en_US diffbuild -> diff build, diff-build, building
csmock.noarch: W: no-manual-page-for-binary cov-dump-err
csmock.noarch: W: no-manual-page-for-binary rpmbuild-rawbuild
csmock.src: W: spelling-error %description -l en_US cov -> cob, co, cove
csmock.src: W: spelling-error %description -l en_US mockbuild -> mock build, mock-build, mockingbird
csmock.src: W: spelling-error %description -l en_US diffbuild -> diff build, diff-build, building
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Requires
--------
csmock (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/perl
    cscppc
    csdiff
    cswrap
    mock
    perl(Getopt::Std)
    perl(strict)
    perl(warnings)
    rpm-build



Provides
--------
csmock:
    csmock



Source checksums
----------------
https://git.fedorahosted.org/cgit/csmock.git/snapshot/csmock-1.0.3.tar.xz :
  CHECKSUM(SHA256) this package     : 06a34529645103e1c2aae0705c7377d4e578a161e747e957927b2aa229f7884f
  CHECKSUM(SHA256) upstream package : 06a34529645103e1c2aae0705c7377d4e578a161e747e957927b2aa229f7884f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn csmock-1.0.3-1.el6.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------
1. Source0:    https://git.fedorahosted.org/cgit/csmock.git/snapshot/csmock-1.0.3.tar.xz

Suggestion for the future working in scm:

Source0:    https://git.fedorahosted.org/cgit/csmock.git/snapshot/csmock-%{version}.tar.xz

2. sed -e 's/rpm -qf .SELF/echo %{version}/' -i bin/cov-{diff,mock}build

You can do this in %prep, dunno why you did that in %build.

3. install -p to preserve the timestamp.

Please fix above. I will approve the package once the requires are packaged into pkgdb.

Comment 7 Christopher Meng 2014-02-25 04:55:33 UTC
Oh sorry, ignore my second point, I know what it's used for.

Fix #1 and #3 then post the refreshed ones here.

Comment 8 Kamil Dudka 2014-02-25 10:33:09 UTC
Thanks for review!  Should be fixed in the following submission:

Spec URL: http://kdudka.fedorapeople.org/csmock/csmock.spec
SRPM URL: http://kdudka.fedorapeople.org/csmock/csmock-1.0.3-2.el6.src.rpm

Comment 9 Christopher Meng 2014-03-05 05:10:48 UTC
PACKAGE APPROVED.

Please ask for help on other 2 deps, or your package will have problem like missing dependencies problem.

Comment 10 Kamil Dudka 2014-03-05 12:48:23 UTC
(In reply to Christopher Meng from comment #9)
> PACKAGE APPROVED.
> 
> Please ask for help on other 2 deps, or your package will have problem like
> missing dependencies problem.

Will do.  Thanks for review!

Comment 11 Kamil Dudka 2014-03-26 23:44:26 UTC
New Package SCM Request
=======================
Package Name: csmock
Short Description: A mock wrapper for Static Analysis tools
Owners: kdudka
Branches: f19 f20 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2014-03-27 12:18:09 UTC
Git done (by process-git-requests).

Comment 13 Kamil Dudka 2014-03-27 14:44:18 UTC
Thank you for setting up the git repo!

Comment 14 Fedora Update System 2014-04-16 11:11:44 UTC
csmock-1.0.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/csmock-1.0.7-1.fc20

Comment 15 Fedora Update System 2014-04-16 11:11:53 UTC
csmock-1.0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/csmock-1.0.7-1.fc19

Comment 16 Fedora Update System 2014-04-16 11:12:01 UTC
csmock-1.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/csmock-1.0.7-1.el6

Comment 17 Fedora Update System 2014-04-16 16:27:31 UTC
csmock-1.0.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 18 Fedora Update System 2014-04-25 04:25:26 UTC
csmock-1.0.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-04-25 04:28:41 UTC
csmock-1.0.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Fedora Update System 2014-05-01 18:30:10 UTC
csmock-1.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.